Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class OfficeDrawing.VerticalPositioning

    java.lang.Object
      org.apache.poi.hwpf.usermodel.OfficeDrawing.VerticalPositioning

Enclosing interface:
  OfficeDrawing

    public static class OfficeDrawing.VerticalPositioning

extends java.lang.Object

Field Summary
`static OfficeDrawing.VerticalPositioning` | `ABSOLUTE` The shape is vertically offset by an absolute distance from the page element
`static OfficeDrawing.VerticalPositioning` | `BOTTOM` The shape is vertically positioned at the bottom of the page element
`static OfficeDrawing.VerticalPositioning` | `CENTER` The shape is vertically positioned in the center of the page element
`static OfficeDrawing.VerticalPositioning` | `INSIDE` The shape is vertically positioned like msopvTop on odd-numbered pages and like msopvBottom on even-numbered pages
`static OfficeDrawing.VerticalPositioning` | `OUTSIDE` The shape is vertically positioned like `BOTTOM` on odd-numbered pages and like `TOP` on even-numbered pages
`static OfficeDrawing.VerticalPositioning` | `TOP` The shape is vertically positioned at the top of the page element

Constructor Summary
`OfficeDrawing.VerticalPositioning()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABSOLUTE

    public static final OfficeDrawing.VerticalPositioning ABSOLUTE

  The shape is vertically offset by an absolute distance from the page element

### BOTTOM

    public static final OfficeDrawing.VerticalPositioning BOTTOM

  The shape is vertically positioned at the bottom of the page element

### CENTER

    public static final OfficeDrawing.VerticalPositioning CENTER

  The shape is vertically positioned in the center of the page element

### INSIDE

    public static final OfficeDrawing.VerticalPositioning INSIDE

  The shape is vertically positioned like msopvTop on odd-numbered pages and like msopvBottom on even-numbered pages

### OUTSIDE

    public static final OfficeDrawing.VerticalPositioning OUTSIDE

  The shape is vertically positioned like `BOTTOM` on odd-numbered pages and like `TOP` on even-numbered pages

### TOP

    public static final OfficeDrawing.VerticalPositioning TOP

  The shape is vertically positioned at the top of the page element

Constructor Detail

### OfficeDrawing.VerticalPositioning

    public OfficeDrawing.VerticalPositioning()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD